Subject: Re: bug#64692: Better descriptions of Cons Cells and Dotted Notation with real-life syntax
From: Po Lu <[email-masked]>
To: uzibalqa <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jul 2023 18:32:55 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

uzibalqa <[email-masked]> writes:

> Have been looking at the documentation of menu-item described as
>
> (menu-item item-name real-binding . item-property-list)
>
> This requires a good understanding of Cons Cells and Dotted Notation.
> But I do not see a serious attempt to explain this.  Whereas the Emacs 
> Lisp Reference Manual isn't designed as a tutorial with explanations,
> the "Introduction to Programming in Emacs Lisp" simply refers to the 
> "Emacs Lisp Reference Manual" for understanding Cons Cells and Dotted Notation.
>
> This means that the "Introduction to Programming in Emacs Lisp" would benefit 
> from some real-life list syntax. Currently I find it short and far from real-life.
>
> For instance, whilst it cam became natural for users to make menus. it would be 
> difficult for them to understand that 
>
> (menu-item item-name real-binding . item-property-list)
>
> describes how "item-property-list" would not produce a list inside a list, but a 
> single "(menu-item ..." list.
>
> In general, the construction of menus should be better described as it is currently 
> too theoretical in the reference.

The node containing your example is located in the Emacs Lisp reference
manual, which contains two adequate descriptions of both dotted lists
and dotted pair notation.  I see no problem here; closing.